def groups_of(df, n):
    """Return sub-dataframes for every N rows in the data frame."""

    # we're just going to repeat, peeling off the top N items, as a generator
    next_chunk, remainder = df.head(n), df.tail(-n)
    while not next_chunk.empty:
        yield next_chunk
        next_chunk, remainder = remainder.head(n), remainder.tail(-n)
