import json
import logging
from pycapo import *
from pyramid.view import view_config

logger = logging.getLogger(__name__)


@view_config(route_name='acknowledge_splash_message', renderer='jsonp')
def get_splash_acknowledgement(request):
    if request.params is not None and len(request.params) > 0:
        request.session['acknowledgement'] = True if request.params.get('acknowledgement', None) == 'true' else False
    acknowledgement = request.session['acknowledgement']
    return json.dumps(dict(acknowledgement=acknowledgement))


@view_config(route_name='get_splash_message', renderer='jsonp')
def get_splash_message(request):
    c = CapoConfig(profile=request.session['capo_profile'])
    with open(c.get('edu.nrao.archive.archiveIface.splashScreenMessage'), 'r') as f:
        splash_screen_msg = f.read()
    return json.dumps(dict(splash_msg=splash_screen_msg))
